> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/giving-pools/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # Get Giving Pool GET https://api.givechariot.com/v1/giving_pools/{id} Retrieve a Giving Pool with the given ID. Reference: https://docs.givechariot.com/api/giving-pools/get ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Request ### Path parameters - `id` (string, required) — The unique ID of the Giving Pool. ## Response ### 200 OK - `id` (string, required) — The unique identifier for this Giving Pool. - `name` (string, required) — The display name of the Giving Pool. This is the name that the Donor will see when they are selecting a Giving Pool in DAFpay. - `donor_account_id` (string, required) — The ID of the [Donor Account](/api/donor-accounts) this Giving Pool belongs to. - `created_at` (datetime, required) — Time when this object was created, expressed in RFC 3339 format. - `updated_at` (datetime, required) — Time when this object was last updated, expressed in RFC 3339 format. - `metadata` (map from string to string, optional) — A map of arbitrary string keys and values to store information about the object. ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 403 Forbidden Error Access denied - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 404 Not Found Error Resource Not Found - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Examples **Response** ```json { "id": "0bf40881-8ee2-47fb-98ca-f58c7999aa34", "name": "Smith Family Fund", "donor_account_id": "donor_account_01jpjenf5q6cawy43yxfcrxhct", "created_at": "2026-01-15T09:00:00Z", "updated_at": "2026-04-01T12:00:00Z", "metadata": {} } ```